Loading...
Quick Links

Code that runs both on MSP2003 and MSP2010

Home Forums Discussion Code that runs both on MSP2003 and MSP2010

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #5015 Reply
    CommunityCommunity
    Keymaster

    We are in the midst of a migration, so I have half of my users on MSP2003, and half on 2010. I have some VBA code which must run on both versions. Now I have problems with the TimelineViewToggle command, which I must use for the MSP2010 users, otherwise they cannot use a split view command (MSP2010 considers a view with timeline displayed a split view, so you first have to execute the TimelineViewToggle command, before you can split the view and display e.g. the Task Form in the bottom pane).

    However, If I use that code in MSP2003 I get an error message, because that command is not known in MSP2003.
    How can I write code which simply ignores this statement in MSP2003?
    #3923 Reply
    CommunityCommunity
    Keymaster
    Use:
    If Application.Version=14 then
       ‘Project 2010 Timeline code
    Elnd If
Viewing 2 posts - 1 through 2 (of 2 total)
Reply To: Code that runs both on MSP2003 and MSP2010
Your information: